summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2016-05-28 15:06:35 +0200
committerPacho Ramos <pacho@gentoo.org>2016-05-28 15:06:35 +0200
commit22a7e4eefecf657eed7db0ddef0dee1fb2189553 (patch)
tree9e34dc7b1cb80d84e5ac8f6db03525e109f5a17c /sys-block/gparted
parentmedia-sound/banshee: Disable webkit support to stop relying on vulnerable ver... (diff)
downloadgentoo-22a7e4eefecf657eed7db0ddef0dee1fb2189553.tar.gz
gentoo-22a7e4eefecf657eed7db0ddef0dee1fb2189553.tar.bz2
gentoo-22a7e4eefecf657eed7db0ddef0dee1fb2189553.zip
sys-block/gparted: Version bump
Package-Manager: portage-2.3.0_rc1
Diffstat (limited to 'sys-block/gparted')
-rw-r--r--sys-block/gparted/Manifest1
-rw-r--r--sys-block/gparted/gparted-0.26.0.ebuild87
2 files changed, 88 insertions, 0 deletions
diff --git a/sys-block/gparted/Manifest b/sys-block/gparted/Manifest
index ad1df0a81c5..41f0fdb83ca 100644
--- a/sys-block/gparted/Manifest
+++ b/sys-block/gparted/Manifest
@@ -1,2 +1,3 @@
DIST gparted-0.24.0.tar.bz2 2276313 SHA256 02398ab33894a59b0bd8707e598c46d8bb56f1413cd54de48eed61e2920ecd60 SHA512 914e8292adfd8648e57a83303721eb94d8527135d46bf9f5a9c53265294b44109c7f00e40761c26f186f97a8ef4a58ed16f53b3db6f78db3b4052dc5ed99755a WHIRLPOOL 81d774e3bcd5c08c90fd41a5bb7ef7e403e28c59401212f0501fa551fc66c08bb5ca415d1e69d173d3e54797c24de437d5ec677ac1f0698b0d4a9331bbd6b987
DIST gparted-0.25.0.tar.gz 3240180 SHA256 2d996d5f4921d49eae850a1824acb8ab1299b1ea9bbb9c607248cd6c8cdc94ae SHA512 c15b27ad85f5f4937d87e9eb3b6dadb4b0502cc076eed726d23fbd08667bdb1263539a5552e85ecc2195a4e8d4556a898130ab0aa407bbe3bcbd18148c4765c9 WHIRLPOOL 5e540e73e72042f521ad23f7145c24c6394274d0765f577153b45e34191d609baa0600be12bb46511600be60072759a7af9a37fe2684101b8d1ca7ab214585ca
+DIST gparted-0.26.0.tar.gz 3299035 SHA256 bcf339328c183e1d825d41267cf435b193f1312fc3b9ce207e6087e653e27fb4 SHA512 1017e1f460dd24d08959f018e51d523ae461b29350a136eb3a6cca524a966ad235edee80063fe1b6a0e1a5445e2b30086efbc98d7b948f61e9ddf758c03fc049 WHIRLPOOL 38bdf9384ee87b12dfc7b4de81fefb1ee0847430ec5ab971dfbb28f0c32f778ad6c0f4655d9e3e3d9de1d9c665a9361933ebb707f42613d17e1167dfce5de931
diff --git a/sys-block/gparted/gparted-0.26.0.ebuild b/sys-block/gparted/gparted-0.26.0.ebuild
new file mode 100644
index 00000000000..6c2bc82ba2e
--- /dev/null
+++ b/sys-block/gparted/gparted-0.26.0.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit gnome2
+
+DESCRIPTION="Gnome Partition Editor"
+HOMEPAGE="http://gparted.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2+ FDL-1.2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~x86"
+IUSE="btrfs dmraid f2fs fat hfs jfs kde mdadm ntfs policykit reiserfs reiser4 xfs"
+
+COMMON_DEPEND="
+ >=dev-cpp/glibmm-2.14:2
+ >=dev-cpp/gtkmm-2.22:2.4
+ >=dev-libs/glib-2:2
+ >=sys-block/parted-3.2:=
+"
+RDEPEND="${COMMON_DEPEND}
+ !policykit? (
+ kde? ( kde-apps/kdesu ) )
+ policykit? ( sys-auth/polkit )
+
+ >=sys-apps/util-linux-2.20
+ >=sys-fs/e2fsprogs-1.41
+ btrfs? ( sys-fs/btrfs-progs )
+ dmraid? (
+ >=sys-fs/lvm2-2.02.45
+ sys-fs/dmraid
+ sys-fs/multipath-tools )
+ f2fs? ( sys-fs/f2fs-tools )
+ fat? (
+ sys-fs/dosfstools
+ sys-fs/mtools )
+ hfs? (
+ sys-fs/diskdev_cmds
+ virtual/udev
+ sys-fs/hfsutils )
+ jfs? ( sys-fs/jfsutils )
+ mdadm? ( sys-fs/mdadm )
+ ntfs? ( >=sys-fs/ntfs3g-2011.4.12[ntfsprogs] )
+ reiserfs? ( sys-fs/reiserfsprogs )
+ reiser4? ( sys-fs/reiser4progs )
+ xfs? ( sys-fs/xfsprogs sys-fs/xfsdump )
+"
+DEPEND="${COMMON_DEPEND}
+ app-text/docbook-xml-dtd:4.1.2
+ app-text/gnome-doc-utils
+ dev-util/intltool
+ sys-devel/gettext
+ virtual/pkgconfig
+"
+
+src_prepare() {
+ sed -i -e 's:Exec=@gksuprog@ :Exec=:' gparted.desktop.in.in || die
+ gnome2_src_prepare
+}
+
+src_configure() {
+ gnome2_src_configure \
+ --enable-doc \
+ --enable-online-resize \
+ GKSUPROG=$(type -P true)
+}
+
+src_install() {
+ gnome2_src_install
+
+ local _ddir="${D}"/usr/share/applications
+
+ if use policykit; then
+ sed -i -e 's:/usr/sbin/gparted %f:gparted-pkexec:' "${_ddir}"/gparted.desktop
+ insinto /usr/share/polkit-1/actions/
+ doins "${FILESDIR}"/org.gentoo.pkexec.gparted.policy
+ dobin "${FILESDIR}"/gparted-pkexec
+ else
+ if use kde; then
+ cp "${_ddir}"/gparted{,-kde}.desktop
+ sed -i -e 's:Exec=:Exec=kdesu :' "${_ddir}"/gparted-kde.desktop
+ echo 'OnlyShowIn=KDE;' >> "${_ddir}"/gparted-kde.desktop
+ fi
+ fi
+}